Bug 119299 - Empty text/plain causes segmentation fault
Empty text/plain causes segmentation fault
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: pan (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
David Lawrence
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-29 02:49 EST by Kasper Dupont
Modified: 2007-04-18 13:04 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-28 08:19:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kasper Dupont 2004-03-29 02:49:36 EST
Description of problem:
If you try to view a multipart/mixed MIME message with an empty
text/plain part, pan will crash.

Version-Release number of selected component (if applicable):
pan-0.14.2-1.9

How reproducible:
Happen every time attempting to view such a message.

Steps to Reproduce:
1. Find a message with an empty text/plain part
2. Try to view the message

Actual results:
Segmentation fault (core dumped)

Expected results:
Nonempty parts of the message are shown

Additional info:
An example message causing a crash can be found with message ID
<mlknlgnaindzmwmnuqurmwavvxs@skrammel.yaboo.dk> in the group dk.test.
Sometimes a warning is shown just before crashing:
(Null) - Invalid header:
Comment 1 Jens Petersen 2004-04-14 07:02:18 EDT
Sounds like a probable duplicate of bug 120007.
Comment 2 Jens Petersen 2004-04-14 08:41:52 EDT
Could you try pan-0.14.2-5 which should fix the above bug?
Comment 3 Kasper Dupont 2004-04-14 12:29:12 EDT
I have switched from Red Hat 9 to Fedora Core 1 where pan-0.14.2-2 was
installed. The problem still exist with this version. The newest pan
version I could find was pan-0.14.2-4 which also suffers from this
problem. Where do I find pan-0.14.2-5?
Comment 4 Jens Petersen 2004-04-14 20:19:31 EDT
Should be appearing in FC devel (rawhide) today or so. :)
Comment 5 Kasper Dupont 2004-04-15 16:29:42 EDT
Why isn't pan-0.14.2-5 signed? The pan-0.14.2-4 I downloaded from the
same directory yesterday was signed:

[kasperd@erwin:pts/5:~/pan] rpm -K pan-0.14.2-*.i386.rpm
pan-0.14.2-4.i386.rpm: (sha1) dsa sha1 md5 gpg OK
pan-0.14.2-5.i386.rpm: sha1 md5 OK
[kasperd@erwin:pts/5:~/pan] 
Comment 6 Jens Petersen 2004-04-16 00:08:59 EDT
I think you were "lucky" with pan-0.14.2-4: I guess it got
signed for test1 and test2 of FC2.  pan-0.14.2-5 won't get signed
until test3, and again for the final release of course. :)
Comment 7 Kasper Dupont 2004-04-16 14:25:22 EDT
In that case I won't test it. I don't install unsigned software unless
every line have been reviewed by someone I trust. I tried
pan-0.14.2-gmime-crash-120007.patch from pan-0.14.2-5.src.rpm, it
seems to fix the problem.
Comment 8 Jens Petersen 2004-05-11 21:51:36 EDT
Fwiw, the pan in Fedora devel for FC2 is now signed I believed.

Note You need to log in before you can comment on or make changes to this bug.